Module | Bio::PDB::ModelFinder
In: | lib/bio/db/pdb/utils.rb

methods to access models

XXX#each_model must be defined.

Bio::PDB::ModelFinder is included by Bio::PDB::PDB.

### Methods

find_model

### Public Instance methods

find_model() {|model| ...}

returns an array containing all chains for which given block is not `false` (similar to Enumerable#find_all).

[Source]

         # File lib/bio/db/pdb/utils.rb, line 232
    232:     def find_model
    233:       array = []
    234:       self.each_model do |model|
    235:         array.push(model) if yield(model)
    236:       end
    237:       return array
    238:     end

[Validate]